package br.ufrn.imd.authenticator.repository;

import br.ufrn.imd.authenticator.domain.Client;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ClientRepository extends JpaRepository<Client, Integer> {

    @Query(value = "SELECT c from Client c where c.account.number = ?1")
    Optional<Client> findByAccountNumber(String number);

}
